`include "picorv32.v"

module ereader(CLK, BUT1, BUT2, LED1, LED2);
//eink eink(image, clk_eink, DC, CS, DIN, RST, BUSY)

picorv32 core (
		.clk 		(clk),
		.resetn 	(resetn),

		.mem_valid 	(mem_valid),
		.mem_addr 	(mem_addr ),
		.mem_wdata 	(mem_wdata),
		.mem_wstrb 	(mem_wstrb),
		.mem_instr 	(mem_instr),
		.mem_ready 	(mem_ready),
		.mem_rdata 	(mem_rdata)
);

always@(posedge CLK) begin
	//manage computation to memory;
end

input BUT1;				//input signal from button 1
input BUT2;				//input signal from button 2

output LED1;				//output signal to LED1
output LED2;				//output signal to LED2

//assign LED1 = 1'b0;
//assign LED2 = 1'b0;

wire clk_eink;
reg [5:0] clk_div;

assign clk_eink = clk_div[5]

always @ (posedge CLK) begin
	clk_div <= clk_div + 6'b1;
end

always @ (negedge BUT1)
	begin
		LED1 = 1'b0;
		LED2 = 1'b1;
	end
always @ (negedge BUT2)
	begin
		LED1 = 1'b1;
		LED2 = 1'b0;
	end

endmodule